Subject: Re: linux-next: build failure after merge of the ftrace tree

From: Steven Rostedt <[email-masked]>
Date: Wed, 5 Nov 2025 21:01:59 -0500

On Thu, 6 Nov 2025 12:33:17 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the ftrace tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> kernel/trace/trace_syscalls.c: In function 'print_syscall_enter':
> kernel/trace/trace_syscalls.c:267:48: error: 'TRACE_ITER_VERBOSE' undeclared (first use in this function); did you mean 'TRACE_ITER_VERBOSE_BIT'?
>   267 |                 if (!tr || !(tr->trace_flags & TRACE_ITER_VERBOSE))
>       |                                                ^~~~~~~~~~~~~~~~~~
>       |                                                TRACE_ITER_VERBOSE_BIT
> kernel/trace/trace_syscalls.c:267:48: note: each undeclared identifier is reported only once for each function it appears in
> 
> Caused by commit
> 
>   64b627c8da9a ("tracing: Add parsing of flags to the sys_enter_openat trace event")
> 
> interacting with commit
> 
>   bbec8e28cac5 ("tracing: Allow tracer to add more than 32 options")
> 
> which should have been fixed up in commit
> 
>   2021eabbdb41 ("Merge probes/for-next")
> 
> I have used the ftrace tree from next-20251105 for today.
> 

Ah, Masami made a branch that I had to merge with a fix and I'm still
testing that. But my scripts merged it without the fix. Hopefully I'll have
that fixed soon.

-- Steve